• Register
  • Help
Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Topic: Ivory for Leo update

Share/Bookmark
  1. #1

    Ivory for Leo update

    FYI Ivory has been updated to 1.7 and works with Leopard and for me in Logic 8.01 no problems.
    As well please notice that Ivory will need to be authorized to an iLok now.
    Later

  2. #2

    Re: Ivory for Leo update

    i thought the ilok was just an option.
    i really hope they will keep the challenge/response for their old customers.

  3. #3

    Re: Ivory for Leo update

    Quote Originally Posted by Hans Scheffler
    i thought the ilok was just an option.
    i really hope they will keep the challenge/response for their old customers.
    The Synthogy website states:
    Beginning with Ivory version 1.7, all new Ivory products and updates will require an iLok key to run.
    http://www.synthogy.com/register/ilok_information.html

    The v1.64 update is the last non-iLok update. v1.7 onward require an iLok.

  4. #4

    Re: Ivory for Leo update

    Thats a major bummer!
    Guess the market will get flooded with 2nd hand Ivories and mine will be one of them.


  5. #5

    Re: Ivory for Leo update

    Quote Originally Posted by Hans Scheffler
    Thats a major bummer!
    Guess the market will get flooded with 2nd hand Ivories and mine will be one of them.

    I highly doubt that will be enough to flood the market with 2nd hand Ivories. People may not like iLok but I don't think many people will bail because of it.

  6. #6
    New Member
    Join Date
    Jul 2005
    Location
    Djursland, Denmark
    Posts
    3

    Re: Ivory for Leo update

    Anyway, I was this close to getting one, and now I'm not. Just don't like dongles

  7. #7

    Re: Ivory for Leo update

    I also have been considering buying Ivory and most likely won't now. Synthology has in effect now protected themselves from my money. By the same token I'm now considering picking up Logic, something I absolutely never would have done back when that required a dongle.

  8. #8

    Re: Ivory for Leo update

    Personally I like the iLok. Wherever I go my authorizations can go with me.
    Composer, Logic Certified Trainer, Level 2,
    author of "Going Pro with Logic Pro 9."

    www.jayasher.com

  9. #9

    Angry Re: Ivory for Leo update

    This is AWFUL news. I use Ivory live, now it's going to be a major pain. I feel ripped off. It wasn't dongled when I bought it!!

  10. #10

    Re: Ivory for Leo update

    Quote Originally Posted by musicjon
    This is AWFUL news. I use Ivory live, now it's going to be a major pain. I feel ripped off. It wasn't dongled when I bought it!!
    Unfortunately, Synthogy is probably reacting to having Ivory available on warez sites. Contrary to popular belief, there are still some products that use iLok and Syncrosoft eLicenser that have not yet been cracked (e.g. EWQL PLAY titles, VSL Vienna Instruments).

    Some manufacturers seem willing to live with a certain level of piracy using a Challenge/Response system, while others feel the need to implement a dongle solution.

    Quote Originally Posted by TechEverlasting
    By the same token I'm now considering picking up Logic, something I absolutely never would have done back when that required a dongle.
    Apple Logic may be a special case situation since Apple may be willing to trade money lost on software piracy in exchange for increased Apple hardware sales. You buy Logic, then decide you need a nice new more powerful MacPro, and/or decide you need a MacMini to use as a Logic node.

    Apple may be treating Logic similar to the iPod -- very little money made on songs but big bucks made selling the iPod hardware. Even if Apple only breaks even with Logic sales, it helps drive additional hardware sales.

Go Back to forum

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •